Unable to scan with HP Photosmart Premium

Forum rules
Before you post please read this

Unable to scan with HP Photosmart Premium

Postby malaverdiere on Sat Oct 06, 2012 3:09 pm

Hello,

I am using this HP printer/scanner combo and had no problem on Linux before. I decided to switch to LMDE for stability, and I'm disappointed to find out that I am no longer able to scan. Printing is fine however.

This is what I get:
Code: Select all
hp-scan -ldebug

HP Linux Imaging and Printing System (ver. 3.12.6)
Scan Utility ver. 2.2

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

hp-scan[5755]: debug: getDeviceUri(None, None, ['hpaio'], {'scan-type': (<built-in function gt>, 0)}, , True)
hp-scan[5755]: debug: Mode=0
hp-scan[5755]: debug: hp:/net/Photosmart_Prem_C310_series?zc=HP8D907F: back_end:hp is_hp:True bus:net model:Photosmart_Prem_C310_series serial: dev_file: host:HP8D907F zc:HP8D907F port:1
hp-scan[5755]: debug: Cache miss: photosmart_prem_c310_series
hp-scan[5755]: debug: Reading file: /usr/share/hplip/data/models/models.dat
hp-scan[5755]: debug: Searching for section [photosmart_prem_c310_series] in file /usr/share/hplip/data/models/models.dat
hp-scan[5755]: debug: Found section [photosmart_prem_c310_series] in file /usr/share/hplip/data/models/models.dat
hp-scan[5755]: debug: {'hpaio:/net/Photosmart_Prem_C310_series?zc=HP8D907F': ['Sappu-print']}
Using device: hpaio:/net/Photosmart_Prem_C310_series?zc=HP8D907F

warning: No destinations specified. Adding 'file' destination by default.
Using device hpaio:/net/Photosmart_Prem_C310_series?zc=HP8D907F
Opening connection to device...
error: SANE: Error during device I/O (code=9)


Obviously, simple-scan is giving me trouble too.

I tried installing HPLIP from source, but the installer doesn't like LMDE it seems.

So, what can I do to have scans working again?
Marc-André Laverdière
Linux Geek, Software Engineer, Scientist
LibreOffice Hacker in his spare time
Someone who tries to liberate computres
malaverdiere
Level 1
Level 1
 
Posts: 13
Joined: Sun Mar 25, 2012 9:03 pm

Linux Mint is funded by ads and donations.
 

Re: Unable to scan with HP Photosmart Premium

Postby malaverdiere on Sun Oct 07, 2012 2:17 pm

I managed to get my scanning back.
The solution was to download the HPlip installer from their website. When it is asking for the distribution, I had to say Linux Mint, Other version, and it went ahead.
Marc-André Laverdière
Linux Geek, Software Engineer, Scientist
LibreOffice Hacker in his spare time
Someone who tries to liberate computres
malaverdiere
Level 1
Level 1
 
Posts: 13
Joined: Sun Mar 25, 2012 9:03 pm

Re: Unable to scan with HP Photosmart Premium

Postby momist on Fri Oct 19, 2012 5:52 pm

Hmm, I discovered yesterday that my scanning had failed. I had it working a month or so ago, but some update has broken it. Thanks for the tip, I'll go and do the HPlip thing all over again. :o
User avatar
momist
Level 2
Level 2
 
Posts: 73
Joined: Mon May 21, 2012 3:30 pm
Location: Lancashire, Northwest England

Re: Unable to scan with HP Photosmart Premium

Postby momist on Mon Oct 22, 2012 2:10 pm

momist wrote:Hmm, I discovered yesterday that my scanning had failed. I had it working a month or so ago, but some update has broken it. Thanks for the tip, I'll go and do the HPlip thing all over again. :o

But unfortunately, this has not cured anything. Simple Scan says "No scanner found".
I'm on LM 13 Cinnamon. Mine is an HP Photosmart Premium c310 and I'm now on HPLIP 3.12.10a.

Has anyone any other ideas please?
User avatar
momist
Level 2
Level 2
 
Posts: 73
Joined: Mon May 21, 2012 3:30 pm
Location: Lancashire, Northwest England

Re: Unable to scan with HP Photosmart Premium

Postby lizbeth on Fri Oct 26, 2012 8:01 pm

Open synaptic and search fo hplip and install the gui. After you install the gui go to the main menu and look for the HP Toolbox under the preferences menu and setup your printer. Then after your printer is setup select scan from the toolbox, this will open up simple scan and your scanner/printer will be selected by default. Or at least it should.
lizbeth
Level 4
Level 4
 
Posts: 314
Joined: Thu Mar 31, 2011 5:44 pm

Re: Unable to scan with HP Photosmart Premium

Postby momist on Sat Nov 03, 2012 6:28 am

I have installed the hplip gui through Synaptic, and after a reboot it appears in the Preferences menu. However, it doesn't actually run, but did break the printing. A removal and re-install of the printer was then needed. The printer had been already set up using the latest HPLIP, and the hplip toolbox still doesn't work. Simple scan still says scanner not found.

The odd thing is that this worked up until some Mint update, on the slightly older HPLIP, and the newer HPLIP didn't fix the problem. I'm tempted to try some other OS, possibly I'll install Peppermint, or even go back to Ubuntu now that I've a better graphics card installed.
User avatar
momist
Level 2
Level 2
 
Posts: 73
Joined: Mon May 21, 2012 3:30 pm
Location: Lancashire, Northwest England

Re: Unable to scan with HP Photosmart Premium

Postby momist on Sat Nov 03, 2012 7:49 am

OK, this is now solved.

I used synaptic to completely remove anything labelled with the hp moniker, and all dependancies. I then discovered that synaptic would not let me install them again. In a terminal, I used sudo apt-get install hplip and then the same for hplip-gui, and all now appears well. I'm not sure which hplip version I'm now using, and frankly I don't care. the printer and the scanner now work.

I hope this helps someone else.
User avatar
momist
Level 2
Level 2
 
Posts: 73
Joined: Mon May 21, 2012 3:30 pm
Location: Lancashire, Northwest England

Re: Unable to scan with HP Photosmart Premium

Postby lizbeth on Sat Nov 03, 2012 10:40 am

I posted a how to for HP devices, to make this a pain free process. The moderators have pinned it to the top of the thread.

I am glad you got it working! :mrgreen:
lizbeth
Level 4
Level 4
 
Posts: 314
Joined: Thu Mar 31, 2011 5:44 pm

Re: Unable to scan with HP Photosmart Premium

Postby momist on Thu Nov 22, 2012 4:25 pm

Sadly, it hasn't lasted. One or two updates later, and once again SimpleScan can't see the scanner. Printing has been unaffected. :(

This is a deal breaker for me. If I can't get the scanning to be reliable, I think I will have to try some other OS. I'm really comfortable with Mint, and have found Lubuntu on my laptop not as freindly. I'm a refugee here from Ubuntu, I couldn't get on with the new "cellphone" interface.

Meanwhile, I suppose go through the reinstall of hplip . . .

EDIT: No, not necessary. I ran HPLIP Toolbox from the Preferences menu (installed some time ago in an attempt to resurrect the scanner) and installed a new version of the printer from there, and SimpleScan works again. :D :D :D
I deleted the earlier printer instance.
User avatar
momist
Level 2
Level 2
 
Posts: 73
Joined: Mon May 21, 2012 3:30 pm
Location: Lancashire, Northwest England

Re: Unable to scan with HP Photosmart Premium

Postby wormtown on Mon Dec 17, 2012 10:55 pm

I now have the same issue.
Running Mint 14 Cinnamon on two computers, desktop and laptop. Attempting to scan via networked HP Officejet 6500 (attached via ethernet to router). Printing works fine.
HP Officejet 6500 would scan without issue after install using hp-setup, and on previous linux installations (Kubuntu 12.04, Sabayon 10, etc etc).
After weekend update, no longer scans ("failed to connect to scanner").
Purged all HP files, installed from HP site hplip-3.2.11.run, same result.

scanimage -L returns

device `hpaio:/net/Officejet_6500_E709a?zc=HPC68655' is a Hewlett-Packard Officejet_6500_E709a all-in-one


hp-scan returns

error: SANE: Invalid argument (code=4)


hp-check -rt returns

HP Linux Imaging and Printing System (ver. 3.12.6)
Dependency/Version Check Utility ver. 15

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball
has the proper dependencies installed to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode
will check both of the above cases (both compile- and run-time dependencies).

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies
d. [All are run-time checks]
PYEXT SCANCONF QUEUES PERMISSION

Status Types:
OK
MISSING - Missing Dependency or Permission or Plug-in
INCOMPAT - Incompatible dependency-version or Plugin-version

Saving output in log file: /home/joshua/hp-check.log

Initializing. Please wait...
warning: linuxmint-14 version is not supported. Using linuxmint-13 versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

Kernel: 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 GNU/Linux
Host: newoffice
Proc: 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 GNU/Linux
Distribution: linuxmint 14

-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.12.6
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for linuxmint distro 14 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.12.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip-doc/HTML
icon=no
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.12.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=yes
hpijs-only-build=no
lite-build=no
udev-acl-rules=yes
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
latest_available_version = 3.12.11
notify_upgrade = false
last_upgraded_time = 1355798590.10738
pending_upgrade_time = 0

[settings]
systray_visible = 0
systray_messages = 0

[last_used]
device_uri = hpaio:/net/Officejet_6500_E709a?zc=HPC68655
printer_name =
working_dir = .

[commands]
scan = /usr/bin/simple-scan %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[installation]
date_time = 12/17/2012 20:50:18
version = 3.12.6


<Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>

--------------------------
| External Dependencies |
--------------------------

gs Ghostscript REQUIRED 7.05 9.06 OK -
network Network-wget OPTIONAL - 1.13.4 OK -
dbus DBus REQUIRED - 1.6.4 OK -
scanimage Shell-Scanning OPTIONAL 1.0 1.0.23 OK -
policykit Admin-Policy-framework OPTIONAL - 0.104 OK -
xsane SANE-GUI OPTIONAL 0.9 0.998 OK -
cups CUPS REQUIRED 1.1 1.6.1 OK 'CUPS Scheduler is running'

-------------------------
| General Dependencies |
-------------------------

reportlab Python-PDF-Lib OPTIONAL 2.0 2.5 OK -
libcrypto OpenSSL-Crypto-Lib REQUIRED - 1.0.1 OK -
pil Python-Image-Lib OPTIONAL - 1.1.7 OK -
pyqt4-dbus PyQt4-DBUS REQUIRED 4.0 4.9.3 OK -
libjpeg JPEG-Lib REQUIRED - - OK -
libpthread POSIX-Threads-Lib REQUIRED - 2.15 OK -
python-dbus Python-DBUS REQUIRED 0.80.0 1.1.1 OK -
python-devel Python-SDK REQUIRED 2.2 2.7.3 OK -
pyqt4 Python-Qt4 REQUIRED 4.0 4.9.3 OK -
cups-devel CUPS-SDK REQUIRED - 1.6.1 OK -
sane-devel SANE-SDK REQUIRED - 1.0.23 OK -
libusb USB-Lib REQUIRED - 1.0 OK -
sane Scan-Lib REQUIRED - 1.0.23 OK -
cups-image CUPS-Image-Lib REQUIRED - 1.6.1 OK -
libnetsnmp-devel SNMP-Networking-SDK REQUIRED 5.0.9 5.4.3 OK -
python-xml Python-XML-Lib REQUIRED - 2.1.0 OK -
python-notify Desktop-notifications OPTIONAL - - OK -

----------------------
| Python Extentions |
----------------------

cupsext CUPS-Extension REQUIRED - 3.12.6 OK -
pcardext PhotoCard-Extension REQUIRED - 3.12.6 OK -
hpmudext IO-Extension REQUIRED - 3.12.6 OK -

-----------------------
| Scan Configuration |
-----------------------

hpaio HPLIP-SANE-Backend REQUIRED - 3.12.6 OK 'hpaio found in /etc/sane.d/dll.conf'
scanext Scan-SANE-Extension REQUIRED - 3.12.6 OK -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/net/Officejet_6500_E709a?zc=HPC68655' is a Hewlett-Packard Officejet_6500_E709a all-in-one


--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------


Officejet_6500_E709a
--------------------
Type: Printer
Device URI: hp:/net/Officejet_6500_E709a?zc=HPC68655
PPD: /etc/cups/ppd/Officejet_6500_E709a.ppd
PPD Description: HP Officejet 6500 e709a, hpcups 3.12.6
Printer status: printer Officejet_6500_E709a is idle. enabled since Mon 17 Dec 2012 08:43:07 PM CST
Communication status: Good

Officejet_6500_E709a_fax
------------------------
Type: Fax
Device URI: hpfax:/net/Officejet_6500_E709a?zc=HPC68655
PPD: /etc/cups/ppd/Officejet_6500_E709a_fax.ppd
PPD Description: HP Fax hpcups
Printer status: printer Officejet_6500_E709a_fax is idle. enabled since Mon 17 Dec 2012 08:43:07 PM CST
Communication status: Good


--------------
| PERMISSION |
--------------

error: groups user-groups Required - - MISSING ['lp']

-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
None

Missing Optional Dependencies
-----------------------------
None


Total Errors: 1
Total Warnings: 0

Re-run 'hp-check --fix' command to prompt and fix the issues.

Done.


however I am already in group "lp"
wormtown
Level 1
Level 1
 
Posts: 14
Joined: Sun Nov 06, 2011 1:22 pm

Re: Unable to scan with HP Photosmart Premium

Postby lizbeth on Sat Dec 22, 2012 6:11 pm

if after adding your name to group lp, try rebooting or logging out and back in...
lizbeth
Level 4
Level 4
 
Posts: 314
Joined: Thu Mar 31, 2011 5:44 pm

Re: Unable to scan with HP Photosmart Premium

Postby wormtown on Sat Dec 22, 2012 6:30 pm

Thanks, but note the last line. I'm already in that group.

Nevertheless I have tried removing, then readding back to the group, and rebooting, with no change in results.
wormtown
Level 1
Level 1
 
Posts: 14
Joined: Sun Nov 06, 2011 1:22 pm

Re: Unable to scan with HP Photosmart Premium

Postby lizbeth on Sat Dec 22, 2012 9:21 pm

--------------
| PERMISSION |
--------------

error: groups user-groups Required - - MISSING ['lp']




your error message says your aren't
lizbeth
Level 4
Level 4
 
Posts: 314
Joined: Thu Mar 31, 2011 5:44 pm

Re: Unable to scan with HP Photosmart Premium

Postby lizbeth on Sat Dec 22, 2012 9:22 pm

lizbeth
Level 4
Level 4
 
Posts: 314
Joined: Thu Mar 31, 2011 5:44 pm

Re: Unable to scan with HP Photosmart Premium

Postby wormtown on Sat Dec 22, 2012 9:35 pm

Thanks, but didn't correct it

I can remove the error message but still can't scan

See attachment to this bug report

https://bugs.launchpad.net/hplip/+bug/1092768
wormtown
Level 1
Level 1
 
Posts: 14
Joined: Sun Nov 06, 2011 1:22 pm

Re: Unable to scan with HP Photosmart Premium

Postby lizbeth on Sat Dec 22, 2012 11:13 pm

*you may have to manually add yourself to the group lpadmin. install gnome-system-tools and restart your desktop. look for users and groups, under the preferences menu. click on lpadmin and then preferences enter admin password and click on your user and you are done.
lizbeth
Level 4
Level 4
 
Posts: 314
Joined: Thu Mar 31, 2011 5:44 pm

Re: Unable to scan with HP Photosmart Premium

Postby wormtown on Sun Dec 23, 2012 7:09 pm

Still no dice


hp-check -r

HP Linux Imaging and Printing System (ver. 3.12.6)
Dependency/Version Check Utility ver. 15

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball
has the proper dependencies installed to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode
will check both of the above cases (both compile- and run-time dependencies).

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies
d. [All are run-time checks]
PYEXT SCANCONF QUEUES PERMISSION

Status Types:
OK
MISSING - Missing Dependency or Permission or Plug-in
INCOMPAT - Incompatible dependency-version or Plugin-version

Saving output in log file: /home/joshua/hp-check.log

Initializing. Please wait...
warning: linuxmint-14 version is not supported. Using linuxmint-13 versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

Kernel: 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 GNU/Linux
Host: 4530s
Proc: 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 GNU/Linux
Distribution: linuxmint 14

-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.12.6
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for linuxmint distro 14 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.12.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip-doc/HTML
icon=no
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.12.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=yes
hpijs-only-build=no
lite-build=no
udev-acl-rules=yes
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
[last_used]
device_uri = "hp:/net/Officejet_6500_E709a?zc=HPC68655"
printer_name =
working_dir = .

[upgrade]
latest_available_version = 3.12.11
notify_upgrade = false
last_upgraded_time = 1356303992.73992
pending_upgrade_time = 0

[settings]
systray_visible = 0
systray_messages = 0

[commands]
scan = /usr/bin/simple-scan %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[installation]
date_time = 12/23/2012 17:07:41
version = 3.12.6


<Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>

--------------------------
| External Dependencies |
--------------------------

gs Ghostscript REQUIRED 7.05 9.06 OK -
network Network-wget OPTIONAL - 1.13.4 OK -
dbus DBus REQUIRED - 1.6.4 OK -
scanimage Shell-Scanning OPTIONAL 1.0 1.0.23 OK -
policykit Admin-Policy-framework OPTIONAL - 0.104 OK -
xsane SANE-GUI OPTIONAL 0.9 0.998 OK -
cups CUPS REQUIRED 1.1 1.6.1 OK 'CUPS Scheduler is running'

-------------------------
| General Dependencies |
-------------------------

reportlab Python-PDF-Lib OPTIONAL 2.0 2.5 OK -
libcrypto OpenSSL-Crypto-Lib REQUIRED - 1.0.1 OK -
pil Python-Image-Lib OPTIONAL - 1.1.7 OK -
pyqt4-dbus PyQt4-DBUS REQUIRED 4.0 4.9.3 OK -
libjpeg JPEG-Lib REQUIRED - - OK -
libpthread POSIX-Threads-Lib REQUIRED - 2.15 OK -
python-dbus Python-DBUS REQUIRED 0.80.0 1.1.1 OK -
python-devel Python-SDK REQUIRED 2.2 2.7.3 OK -
pyqt4 Python-Qt4 REQUIRED 4.0 4.9.3 OK -
cups-devel CUPS-SDK REQUIRED - 1.6.1 OK -
sane-devel SANE-SDK REQUIRED - 1.0.23 OK -
libusb USB-Lib REQUIRED - 1.0 OK -
sane Scan-Lib REQUIRED - 1.0.23 OK -
cups-image CUPS-Image-Lib REQUIRED - 1.6.1 OK -
libnetsnmp-devel SNMP-Networking-SDK REQUIRED 5.0.9 5.4.3 OK -
python-xml Python-XML-Lib REQUIRED - 2.1.0 OK -
python-notify Desktop-notifications OPTIONAL - - OK -

----------------------
| Python Extentions |
----------------------

cupsext CUPS-Extension REQUIRED - 3.12.6 OK -
pcardext PhotoCard-Extension REQUIRED - 3.12.6 OK -
hpmudext IO-Extension REQUIRED - 3.12.6 OK -

-----------------------
| Scan Configuration |
-----------------------

hpaio HPLIP-SANE-Backend REQUIRED - 3.12.6 OK 'hpaio found in /etc/sane.d/dll.conf'
scanext Scan-SANE-Extension REQUIRED - 3.12.6 OK -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/net/Officejet_6500_E709a?zc=HPC68655' is a Hewlett-Packard Officejet_6500_E709a all-in-one


--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------


Officejet_6500_E709a
--------------------
Type: Printer
Device URI: hp:/net/Officejet_6500_E709a?zc=HPC68655
PPD: /etc/cups/ppd/Officejet_6500_E709a.ppd
PPD Description: HP Officejet 6500 e709a, hpcups 3.12.6
Printer status: printer Officejet_6500_E709a is idle. enabled since Sun 23 Dec 2012 05:07:31 PM CST
Communication status: Good

Officejet_6500_E709a_fax
------------------------
Type: Fax
Device URI: hpfax:/net/Officejet_6500_E709a?zc=HPC68655
PPD: /etc/cups/ppd/Officejet_6500_E709a_fax.ppd
PPD Description: HP Fax hpcups
Printer status: printer Officejet_6500_E709a_fax is idle. enabled since Sun 23 Dec 2012 05:07:31 PM CST
Communication status: Good


--------------
| PERMISSION |
--------------

groups user-groups Required - - OK joshua adm lp cdrom sudo dip plugdev fuse lpadmin scanner sambashare vboxusers


-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
None

Missing Optional Dependencies
-----------------------------
None


Total Errors: 0
Total Warnings: 0

No errors or warnings.


simple scan (either directly or via hp-toolbox) still returns "Failed to scan, unable to connect to scanner"
wormtown
Level 1
Level 1
 
Posts: 14
Joined: Sun Nov 06, 2011 1:22 pm

Re: Unable to scan with HP Photosmart Premium

Postby wormtown on Mon Dec 24, 2012 11:25 am

My problem was solved by turning off and unplugging printer, and leaving off overnight.

go figure.
wormtown
Level 1
Level 1
 
Posts: 14
Joined: Sun Nov 06, 2011 1:22 pm

Re: Unable to scan with HP Photosmart Premium

Postby Raybo on Mon Dec 24, 2012 12:14 pm

Here's the solution to get your scanner working with HPLIP.

Open a terminal and type:
$ sudo cp /usr/lib64/sane/libsane-hpaio* /usrlib/sane

restart xsane or simple scan

I had the same problem after upgrading to Mint 14 / Nadia

Here's where I found the solution:
https://bugs.launchpad.net/hplip/+bug/1 ... comments/5
Raybo
Level 1
Level 1
 
Posts: 2
Joined: Mon Dec 24, 2012 12:01 pm

Re: Unable to scan with HP Photosmart Premium

Postby lizbeth on Mon Dec 24, 2012 12:15 pm

HA! Go figure. Something no one would have thought of on purpose.

Glad it's working!
lizbeth
Level 4
Level 4
 
Posts: 314
Joined: Thu Mar 31, 2011 5:44 pm

Linux Mint is funded by ads and donations.
 
Next

Return to Printers & Scanners

Who is online

Users browsing this forum: WinterTroubles and 4 guests